/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.ipgeocoder.messaging;

import com.liferay.ipgeocoder.model.IPInfo;
import com.liferay.ipgeocoder.util.IPGeocoderUtil;
import com.liferay.portal.kernel.json.JSONFactoryUtil;
import com.liferay.portal.kernel.messaging.BaseMessageListener;
import com.liferay.portal.kernel.messaging.Message;
import com.liferay.portal.kernel.messaging.MessageBusUtil;
import com.liferay.portal.kernel.util.StringPool;

/**
 * @author Brian Wing Shun Chan
 */
public class IPGeocoderMessageListener extends BaseMessageListener {

	@Override
	protected void doReceive(Message message) throws Exception {
		String ipAddress = (String)message.getPayload();

		IPInfo ipInfo = IPGeocoderUtil.getIPInfo(ipAddress);

		Object payload = StringPool.BLANK;

		if (ipInfo != null) {
			payload = JSONFactoryUtil.createJSONObject(
				JSONFactoryUtil.serialize(ipInfo));
		}

		message.setPayload(payload);

		MessageBusUtil.sendMessage(
			message.getResponseDestinationName(), message);
	}

}