/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.ipgeocoder.model;

import com.maxmind.geoip.Location;

/**
 * @author Brian Wing Shun Chan
 */
public class IPInfo {

	public IPInfo(String ipAddress, Location location) {
		_ipAddress = ipAddress;
		_location = location;
	}

	public String getIpAddress() {
		return _ipAddress;
	}

	public float getLatitude() {
		if (_location == null) {
			return 0;
		}
		else {
			return _location.latitude;
		}
	}

	public float getLongitude() {
		if (_location == null) {
			return 0;
		}
		else {
			return _location.longitude;
		}
	}

	private String _ipAddress;
	private Location _location;

}